#
# spec file for package tin (Version 1.6.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# neededforbuild  metamail pcre pcre-devel postfix uudeview

BuildRequires:  aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool metamail pcre pcre-devel perl postfix rpm uudeview

Name:           tin
URL:            http://www.tin.org/
License:        Other License(s), see package
Group:          Productivity/Networking/News/Clients
Requires:       urlview
Version:        1.6.2
Release:        98.2
Summary:        A News Reader
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         ftp://ftp.tin.org/pub/news/clients/tin/stable/tin-%{version}.tar.bz2
Patch0:         tin-overflow.patch

%description
Tin is a full-screen, easy to use Netnews reader. It can read news
locally (i.e. /var/spool/news) or remotely (rtin or tin -r option) via
an NNTP (Network News Transport Protocol) server. Docu: man tin or man
rtin.



Authors:
--------
    Iain Lea <iain@ecrc.de>

%prep
%setup -q
%patch0

%build
CFLAGS=$RPM_OPT_FLAGS \
	 ./configure \
	--prefix=/usr \
	--with-spooldir=/var/spool/news \
	--with-nov-dir=/var/spool/news/over.view \
	--with-nntp-default-server=localhost \
	--with-mail-gateway=/etc/inews_mail_gateway \
	--with-domain-name=/etc/inews_mail_gateway \
	--with-libdir=/var/lib/news \
	--with-inews-dir=/usr/lib/news \
	--with-ncurses \
	--with-mime-default-charset=UTF-8 \
	--with-pcre \
	--disable-debug \
	--enable-prototypes \
	--enable-warnings \
	--enable-color \
	--disable-etiquette \
	--disable-forgery \
	--enable-locale \
	--mandir=%{_mandir} \
	--infodir=%{_infodir}
make -C src

%install
rm -fr $RPM_BUILD_ROOT
make install -C src DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/usr/bin/metamutt
rm -f $RPM_BUILD_ROOT/usr/bin/url_handler.sh
rm -f $RPM_BUILD_ROOT%{_mandir}/man5/mbox.5*
%{find_lang} %{name}

%files -f %{name}.lang
%defattr (-,root,root)
%doc doc/CHANGES
%doc doc/CHANGES.old
%doc doc/DEBUG_REFS
%doc doc/TODO
%doc doc/WHATSNEW
%doc doc/art_handling.txt
%doc doc/auth.txt
%doc doc/config-anomalies
%doc doc/filtering
%doc doc/good-netkeeping-seal
%doc doc/iso2asc.txt
%doc doc/keymap.sample
%doc doc/mailcap.sample
%doc doc/mime.types
%doc doc/pgp.txt
%doc doc/rcvars.txt
%doc doc/reading-mail.txt
%doc doc/tin.defaults
%doc doc/umlaute.txt
%doc doc/umlauts.txt
%doc %{_mandir}/man*/*tin.*
%doc %{_mandir}/man1/opt-case.pl.1.gz
%doc %{_mandir}/man1/w2r.pl.1.gz
%doc %{_mandir}/man5/mmdf.5.gz
/usr/bin/rtin
/usr/bin/tin
/usr/bin/opt-case.pl
/usr/bin/w2r.pl

%changelog -n tin
* Thu Feb 23 2006 - max@suse.de
- Fix a buffer overflow (#152451).
* Wed Aug 24 2005 - max@suse.de
- Use the system pcre library instead of tin's own copy (#112648).
* Fri Mar 26 2004 - ro@suse.de
- added postfix to neededforbuild
* Mon Oct 20 2003 - olh@suse.de
- update to 1.6.2
* Sun Aug 10 2003 - olh@suse.de
- update to 1.6.1
* Thu Jul 24 2003 - fehr@suse.de
- update to 1.6.0
* Wed Jun 11 2003 - kukuk@suse.de
- Use %%find_lang macro
* Mon Jun 02 2003 - olh@suse.de
- update to 1.5.18
* Wed May 28 2003 - fehr@suse.de
- add unpackaged files to filelist
* Fri May 02 2003 - olh@suse.de
- add unstable/snapshots/tin-1.5.17totin-1.5.18.diff
  default to UTF-8 from now on
* Tue Apr 22 2003 - olh@suse.de
- update to 1.5.17
* Sun Feb 02 2003 - olh@suse.de
- requires urlview for external helpers
* Thu Jan 30 2003 - olh@suse.de
- update to 1.5.16
* Sun Oct 20 2002 - olh@suse.de
- update to 1.5.14
  use metamail and uudeview
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Fri Oct 05 2001 - fehr@suse.de
- update to version 1.4.4
- add patch that fixes string fromat char problem (from Thomas Biege)
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Fri May 26 2000 - fehr@suse.de
- move documentation to /usr/share/doc/packages
* Fri Feb 18 2000 - fehr@suse.de
- changed to new version 1.4.2
* Fri Nov 19 1999 - fehr@suse.de
- minor fix for acess rights of ~/.tin
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Aug 27 1999 - fehr@suse.de
- update auf pre1.4-19990805
* Tue Jun 15 1999 - uli@suse.de
- update -> pre1.4-19990517
* Mon Sep 21 1998 - ro@suse.de
- dont redeclare memset if it is defined as a macro
* Thu Jul 16 1998 - florian@suse.de
- update to version 980618
- simplified spec-file
* Mon Mar 02 1998 - florian@suse.de
- update to version 980226
* Thu Feb 05 1998 - florian@suse.de
- update to version 980202
* Thu Nov 27 1997 - florian@suse.de
- update to version 971123
- use correct configure-parameter for /etc/inews_mail_gateway
- add docu files in /usr/doc/packages/tin
* Wed Nov 19 1997 - florian@suse.de
- update to version 971106
* Mon Oct 27 1997 - florian@suse.de
- update to version 971018
- change to "disable-forgery"
* Sun Jun 22 1997 - florian@suse.de
- update to version 970613
- compile it with locale-support (can anybody still make it core-dump
  when reading from local news-spool?)
* Sun Apr 13 1997 - florian@suse.de
- update to new version 970409
* Sun Feb 02 1997 - florian@suse.de
- update to new version 970122
- find inews if no builtin inews is used
* Thu Jan 02 1997 - florian@suse.de
- update to ewest version 961101
* Thu Jan 02 1997 - florian@suse.de
- Update auf neue Version tin1.3-unoff-BETA-961006.
* Thu Jan 02 1997 - florian@suse.de
- Update auf aktuelle Version 960917
- getopt() in der C-Bibliothek (5.2.18) ruft nochmal "setlocale()" auf
  und stuertzt dann ab. Dirty hack: src/init.c: setlocale() loeschen.
  Mon Sep  2 03:06:07 MET DST 1996
  new version.
